#!/bin/sh
#
# $Copyright: Copyright (c) 2012 Symantec Corporation.
# All rights reserved.
#
# THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
# SYMANTEC CORPORATION.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
# WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF SYMANTEC CORPORATION.
#
# The Licensed Software and Documentation are deemed to be commercial
# computer software as defined in FAR 12.212 and subject to restricted
# rights as defined in FAR Section 52.227-19 "Commercial Computer
# Software - Restricted Rights" and DFARS 227.7202, "Rights in
# Commercial Computer Software or Commercial Computer Software
# Documentation", as applicable, and any successor regulations. Any use,
# modification, reproduction release, performance, display or disclosure
# of the Licensed Software and Documentation by the U.S. Government
# shall be solely in accordance with the terms of this Agreement.  $
#
# $RCSfile: addEVACAType.sh,v $ $Revision: 1.1.2.4 $
#

VCSHOME="${VCS_HOME:-/opt/VRTSvcs}"
ro=`${VCSHOME}/bin/haclus -value ReadOnly`
if [ $ro -eq 1 ];
then
	${VCSHOME}/bin/haconf -makerw
fi
${VCSHOME}/bin/hatype -add EVACA
${VCSHOME}/bin/hatype -modify EVACA SourceFile "./EVACATypes.cf"
${VCSHOME}/bin/hatype -modify EVACA SupportedActions addCVUser changeWriteMode PreSwitch
${VCSHOME}/bin/hatype -modify EVACA ArgList ManagementServer UserName StandbyManagementServer StandbyUserName LocalEVAName DRGroupName SSSUPath SplitTakeover AutoTakeover
${VCSHOME}/bin/hatype -modify EVACA OfflineMonitorInterval 0
${VCSHOME}/bin/hatype -modify EVACA OpenTimeout 180
${VCSHOME}/bin/hatype -modify EVACA InfoInterval 300
${VCSHOME}/bin/hatype -modify EVACA RestartLimit 1
${VCSHOME}/bin/haattr -add EVACA ManagementServer -string
${VCSHOME}/bin/haattr -add EVACA UserName -string "hpadmin"
${VCSHOME}/bin/haattr -add EVACA StandbyManagementServer -string
${VCSHOME}/bin/haattr -add EVACA StandbyUserName -string "hpadmin"
${VCSHOME}/bin/haattr -add EVACA LocalEVAName -string
${VCSHOME}/bin/haattr -add EVACA DRGroupName -string
${VCSHOME}/bin/haattr -add EVACA SSSUPath -string
${VCSHOME}/bin/haattr -add EVACA SplitTakeover -integer 0
${VCSHOME}/bin/haattr -add EVACA AutoTakeover -integer 1

${VCSHOME}/bin/hatype -add EVACASnap
${VCSHOME}/bin/hatype -modify EVACASnap SourceFile "./EVACATypes.cf"
${VCSHOME}/bin/hatype -modify EVACASnap ArgList TargetResName
${VCSHOME}/bin/hatype -modify EVACASnap OpenTimeout 180
${VCSHOME}/bin/hatype -modify EVACASnap RestartLimit 1
${VCSHOME}/bin/hatype -modify EVACASnap NumThreads 1
${VCSHOME}/bin/haattr -add EVACASnap TargetResName -string
${VCSHOME}/bin/haattr -add -temp EVACASnap Responsibility -string
${VCSHOME}/bin/haattr -add -temp EVACASnap FDFile -string


if [ $ro -eq 1 ];
then
	${VCSHOME}/bin/haconf -dump -makero
else
	${VCSHOME}/bin/haconf -dump
fi

